
local TargetDebuffTab =  {}
_G["TargetDebuffTab"] = TargetDebuffTab

local AceGUI = LibStub("AceGUI-3.0")

local MainDebuff = {
	["ITEM"] = "Item",
	["BUFF"] = "Buff"
}

function TargetDebuffTab:DrawTargetDebuffTab(container)

	ClassicRaidAssist:ClearCooldowns()

	local groupContainer = AceGUI:Create("SimpleGroup")
    groupContainer:SetFullWidth(true)
	
	local dropdownGroup = AceGUI:Create("SimpleGroup")
    dropdownGroup:SetWidth(85)
    dropdownGroup:SetLayout("Flow")
    
	local mainDropdown = AceGUI:Create("Dropdown")
    mainDropdown:SetFullWidth(true)
    mainDropdown:SetList(MainDebuff)
	mainDropdown:SetMultiselect(1)
    --mainDropdown:SetValue(ClassicRaidAssist.db.char.CurrentCheckVersionOutputChannel)
    mainDropdown:SetCallback("OnValueChanged", function(widget, event, key)
        --ClassicRaidAssist.db.char.CurrentCheckVersionOutputChannel = key
    end)
	dropdownGroup:AddChild(mainDropdown)
	
	groupContainer:AddChild(dropdownGroup)
	
	container:AddChild(groupContainer)

	
end




