local RaidItemsTab =  {}
_G["RaidItemsTab"] = RaidItemsTab

local AceGUI = LibStub("AceGUI-3.0")

RaidItemsTab.scanErrorAccord = {
	["PVPRank"] = "05PVPRank",
	["Durability"] = "10Durability",
	["Gold"] = "04Gold",
	["Equpped Onyxia Scale Cloak"] = "08Equpped Onyxia Scale Cloak",
	["Scan by ID"] = "99Scan by ID",
	["Aqual Quintessence"] = "15Aqual Quintessence",
	["Drakefire Amulet"] = "01Drakefire Amulet",
	["Seal of Ascension"] = "02Seal of Ascension",
	["Onyxia Scale Cloak"] = "07Onyxia Scale Cloak",	
	["Hourglass Sand"] = "06Hourglass Sand",
	["Stratholme Holy Water"] = "11Stratholme Holy Water",
	["Free Action Potion"] = "03Free Action Potion",
	["Restorative Potion"] = "09Restorative Potion",
	["Limited Invulnerability Potion"] = "13Limited Invulnerability Potion",
	["Greater Arcane Protection Potion"] = "12Greater Arcane Protection Potion",
	["Fire resist"] = "14Fire resist",
	["Scan quest ID"] = "98Scan quest ID",
}

RaidItemsTab.scanErrorCorAccord = {
	["05PVPRank"] = "PVPRank",
	["10Durability"] = "Durability",
	["04Gold"] = "Gold",
	["08Equpped Onyxia Scale Cloak"] = "Equpped Onyxia Scale Cloak",
	["99Scan by ID"] = "Scan by ID",
	["15Aqual Quintessence"] = "Aqual Quintessence",
	["01Drakefire Amulet"] = "Drakefire Amulet",
	["02Seal of Ascension"] = "Seal of Ascension",
	["07Onyxia Scale Cloak"] = "Onyxia Scale Cloak",	
	["06Hourglass Sand"] = "Hourglass Sand",
	["11Stratholme Holy Water"] = "Stratholme Holy Water",
	["03Free Action Potion"] = "Free Action Potion",
	["09Restorative Potion"] = "Restorative Potion",
	["13Limited Invulnerability Potion"] = "Limited Invulnerability Potion",
	["12Greater Arcane Protection Potion"] = "Greater Arcane Protection Potion",
	["14Fire resist"] = "Fire resist",
	["98Scan quest ID"] = "Scan quest ID",
}

    
RaidItemsTab.raidItems = {  
	["PVPRank"] = {
        ["itemIds"] = {"PVPRank"},
        ["alts"] = {"PVPRank"},
        ["dropdownName"] = "Максимальный ПВП ранг",
        -- ["icon"] = "Interface\\Icons\\inv_misc_spyglass_02",
        ["hasThisItem"] = {},
		["count"] = {},
		["group"] = "Прочее",
		["orderkey"] = 2
    },
	["Durability"] = {
        ["itemIds"] = {"Durability"},
        ["alts"] = {"Durability"},
        ["dropdownName"] = "Прочность, %",
        -- ["icon"] = "Interface\\Icons\\inv_misc_spyglass_02",
        ["hasThisItem"] = {},
		["count"] = {},
		["group"] = "Прочее",
		["orderkey"] = 3
    },
	["Gold"] = {
        ["itemIds"] = {"gold"},
        ["alts"] = {"Gold"},
        ["dropdownName"] = "Золото",
        -- ["icon"] = "Interface\\Icons\\inv_misc_spyglass_02",
        ["hasThisItem"] = {},
		["count"] = {},
		["group"] = "Прочее",
		["orderkey"] = 1
    },
	["Equpped Onyxia Scale Cloak"] = {
        ["itemIds"] = {"onya"},
        ["alts"] = {"Equpped Onyxia Scale Cloak"},
        ["dropdownName"] = "Плащ ониксии (Экипировано)",
        -- ["icon"] = "Interface\\Icons\\inv_misc_spyglass_02",
        ["hasThisItem"] = {},
		["count"] = {},
		["group"] = "Рейд",
		["orderkey"] = 2
    },
	["Scan by ID"] = {
        ["itemIds"] = {""},
        ["alts"] = {"Scan by ID"},
        ["dropdownName"] = "Сканировать предмет по ИД",
        -- ["icon"] = "Interface\\Icons\\inv_misc_spyglass_02",
        ["hasThisItem"] = {},
		["count"] = {},
		["group"] = "Универсальное",
		["orderkey"] = 1
    },
	["Aqual Quintessence"] = {
        ["itemIds"] = {"22754", "17333"},
        ["alts"] = {"Aqual Quintessence", "Eternal Quintessence"},
        ["dropdownName"] = "Тушилка вечная / простая",
        -- ["icon"] = "Interface\\Icons\\inv_misc_head_dragon_01",
        ["hasThisItem"] = {},
		["count"] = {},
		["group"] = "Рейд",
		["orderkey"] = 4
    },
    ["Drakefire Amulet"] = {
        ["itemIds"] = {"16309"},
        ["alts"] = {"Drakefire Amulet"},
        ["dropdownName"] = "Амулет Пламени дракона",
        -- ["icon"] = "Interface\\Icons\\spell_holy_mindvision",
        ["hasThisItem"] = {},
		["count"] = {},
		["group"] = "Атюны",
		["orderkey"] = 1
    },
	["Seal of Ascension"] = {
        ["itemIds"] = {"12344"},
        ["alts"] = {"Seal of Ascension"},
        ["dropdownName"] = "Печать вознесения",
        -- ["icon"] = "Interface\\Icons\\spell_arcane_teleportorgrimmar",
        ["hasThisItem"] = {},
		["count"] = {},
		["group"] = "Атюны",
		["orderkey"] = 2
    },	
    ["Onyxia Scale Cloak"] = {
        ["itemIds"] = {"15138"},
        ["alts"] = {"Onyxia Scale Cloak"},
        ["dropdownName"] = "Плащ ониксии (Наличие)",
        -- ["icon"] = "Interface\\Icons\\spell_arcane_teleportorgrimmar",
        ["hasThisItem"] = {},
		["count"] = {},
		["group"] = "Рейд",
		["orderkey"] = 3
    },  
    ["Hourglass Sand"] = {
        ["itemIds"] = {"19183"},
        ["alts"] = {"Hourglass Sand"},
        ["dropdownName"] = "Песок времени",
        -- ["icon"] = "Interface\\Icons\\spell_arcane_teleportorgrimmar",
        ["hasThisItem"] = {},
		["count"] = {},
		["group"] = "Рейд",
		["orderkey"] = 1
    },		
	["Stratholme Holy Water"] = {
        ["itemIds"] = {"13180"},
        ["alts"] = {"Stratholme Holy Water"},
        ["dropdownName"] = "Святая вода Стратхольма",
        -- ["icon"] = "Interface\\Icons\\inv_potion_75",
        ["hasThisItem"] = {},
		["count"] = {},
		["group"] = "Химия",
		["orderkey"] = 3
    },
	["Free Action Potion"] = {
        ["itemIds"] = {"5634"},
        ["alts"] = {"Free Action Potion"},
        ["dropdownName"] = "Зелье свободы действия",
        -- ["icon"] = "Interface\\Icons\\inv_potion_04",
        ["hasThisItem"] = {},
		["count"] = {},
		["group"] = "Химия",
		["orderkey"] = 1
    },
	["Restorative Potion"] = {
        ["itemIds"] = {"9030"},
        ["alts"] = {"Restorative Potion"},
        ["dropdownName"] = "Приводящее в сознание зелье",
        -- ["icon"] = "Interface\\Icons\\inv_potion_01",
        ["hasThisItem"] = {},
		["count"] = {},
		["group"] = "Химия",
		["orderkey"] = 2
    },
	["Limited Invulnerability Potion"] = {
        ["itemIds"] = {"3387"},
        ["alts"] = {"Limited Invulnerability Potion"},
        ["dropdownName"] = "Слабое зелье неуязвимости",
        -- ["icon"] = "Interface\\Icons\\inv_potion_62",
        ["hasThisItem"] = {},
		["count"] = {},
		["group"] = "Химия",
		["orderkey"] = 5
    },
	["Greater Arcane Protection Potion"] = {
        ["itemIds"] = {"13461"},
        ["alts"] = {"Greater Arcane Protection Potion"},
        ["dropdownName"] = "Сильное зелье защиты от тайной магии",
        -- ["icon"] = "Interface\\Icons\\inv_potion_83",
        ["hasThisItem"] = {},
		["count"] = {},
		["group"] = "Химия",
		["orderkey"] = 4
    },
	["Fire resist"] = {
        ["itemIds"] = {"FR"},
        ["alts"] = {"Fire resist"},
        ["dropdownName"] = "Сопротивление огню",
        -- ["icon"] = "Interface\\Icons\\inv_potion_83",
        ["hasThisItem"] = {},
		["count"] = {},
		["group"] = "Прочее",
		["orderkey"] = 4
    },
	["Scan quest ID"] = {
        ["itemIds"] = {"questid"},
        ["alts"] = {"Scan quest ID"},
        ["dropdownName"] = "Проверка квеста по ИД",
        ["hasThisItem"] = {},
		["count"] = {},
		["group"] = "Универсальное",
		["orderkey"] = 2
    },
	["EquippedLvl"] = {
        ["itemIds"] = {"EquippedLvl"},
        ["alts"] = {"EquippedLvl"},
        ["dropdownName"] = "Средний уровень предметов",
        ["hasThisItem"] = {},
		["count"] = {},
		["group"] = "Прочее",
		["orderkey"] = 5
    },
	["Scan rep ID"] = {
        ["itemIds"] = {"factid"},
        ["alts"] = {"Scan rep ID"},
        ["dropdownName"] = "Проверка репутации по ИД",
        ["hasThisItem"] = {},
		["count"] = {},
		["group"] = "Универсальное",
		["orderkey"] = 3
    },
	
}

local function ScanRaidItems()
    local subgroups = {}
    
    for i = 1, 8 do
        subgroups[i] = {}
    end

    local scrollContainer = AceGUI:Create("SimpleGroup")
    scrollContainer:SetFullWidth(true)
    scrollContainer:SetHeight(315)
    scrollContainer:SetLayout("Fill")

    local scroll = AceGUI:Create("ScrollFrame")
    scroll:SetLayout("Flow")
    scrollContainer:AddChild(scroll)

    local raidContainer = AceGUI:Create("SimpleGroup")
    raidContainer:SetFullWidth(true)
    raidContainer:SetLayout("Flow")

    scroll:AddChild(raidContainer)

    local leftContainer = AceGUI:Create("SimpleGroup")
    local rightContainer = AceGUI:Create("SimpleGroup")
    leftContainer:SetWidth(180)
    leftContainer:SetLayout("Flow")
    rightContainer:SetWidth(180)
    rightContainer:SetLayout("Flow")

    for i = 1, MAX_RAID_MEMBERS do
        local tempPlayerName, _, subgroup, _, class, englishClass = GetRaidRosterInfo(i)
        if(tempPlayerName ~= nil and class ~= nil) then
            local currPlayerName, currPlayerRealm = UnitName(tempPlayerName)

            subgroups[subgroup][currPlayerName] = {
                ["class"] = englishClass
            }

        end
    end

    leftSubgroups = 0
    rightSubgroups = 0

    for key, value in pairs(subgroups) do
        local groupContainer = AceGUI:Create("InlineGroup")
        groupContainer:SetTitle("Group " .. key .. ":")
        groupContainer:SetRelativeWidth(1)
        groupContainer:SetLayout("List")
        groupContainer:SetFullWidth(true)
        
        subgroups_made = 0

        currCount = 0

        for k, v in pairs(value) do
            currCount = currCount + 1
            local playerContainer = AceGUI:Create("SimpleGroup")
            playerContainer:SetLayout("Flow")
            playerContainer:SetFullWidth(true)
            local currName = AceGUI:Create("Label")
            currName:SetWidth(90)
            currName.characterName = k
            currName:SetText("|c" .. RAID_CLASS_COLORS[v['class']].colorStr .. k .. "|r")
            playerContainer:AddChild(currName)

            if(RaidItemsTab.raidItems[ClassicRaidAssist.db.char.CurrentRaidItemCheck]['hasThisItem'][k] == nil) then
                local currSpell = AceGUI:Create("Icon")
                currSpell:SetImage("Interface\\Icons\\inv_misc_questionmark")
                -- currSpell.image:SetColorTexture(0.5, 0.5, 0.5, 0.0);
                currSpell:SetDisabled(true)
                currSpell.image:SetVertexColor(1, 1, 1, 1)
                currSpell:SetImageSize("16", "16")
                currSpell.image:SetAllPoints()
                currSpell:SetWidth(16)
                currSpell:SetHeight(16)
                playerContainer:AddChild(currSpell)
            elseif(RaidItemsTab.raidItems[ClassicRaidAssist.db.char.CurrentRaidItemCheck]['hasThisItem'][k] == false) then
                local currSpell = AceGUI:Create("Icon")
                currSpell:SetImage("Interface\\Icons\\spell_chargenegative")
                -- currSpell.image:SetColorTexture(0.5, 0.5, 0.5, 0.0);
                currSpell:SetDisabled(true)
                currSpell.image:SetVertexColor(1, 1, 1, 1)
                currSpell:SetImageSize("16", "16")
                currSpell.image:SetAllPoints()
                currSpell:SetWidth(16)
                currSpell:SetHeight(16)
                playerContainer:AddChild(currSpell)
            else
                local currSpell = AceGUI:Create("Icon")
                currSpell:SetImage("Interface\\Icons\\spell_chargepositive")
                currSpell:SetImageSize("16", "16")
                currSpell:SetDisabled(true)
                currSpell.image:SetVertexColor(1, 1, 1, 1)
                currSpell.image:SetAllPoints()
                currSpell:SetWidth(16)
                currSpell:SetHeight(16)
                playerContainer:AddChild(currSpell)
				
				if ClassicRaidAssist.db.char.consumablesCount then	
					local count = AceGUI:Create("Label")		
					count:SetWidth(50)
					count:SetText(RaidItemsTab.raidItems[ClassicRaidAssist.db.char.CurrentRaidItemCheck]['count'][k])
					playerContainer:AddChild(count)
				end						
				
            end
            groupContainer:AddChild(playerContainer)
        end

        -- Create "Fake" spots if the group isnt full to keep allignment
        for i = currCount, 4 do
            local playerContainer = AceGUI:Create("SimpleGroup")
            playerContainer:SetLayout("Flow")
            playerContainer:SetFullWidth(true)
            playerContainer:SetHeight(20)

            local currName = AceGUI:Create("Label")
            currName:SetWidth(90)
            currName:SetText(" ")
            playerContainer:AddChild(currName)

            local currSpell = AceGUI:Create("Icon")
            currSpell:SetImage("Interface\\Icons\\spell_holy_magicalsentry")
            currSpell.image:SetColorTexture(0.5, 0.5, 0.5, 0.0);
            currSpell:SetDisabled(true)
            currSpell:SetImageSize("16", "16")
            currSpell:SetWidth(16)
            currSpell:SetHeight(16)
            playerContainer:AddChild(currSpell) 

            groupContainer:AddChild(playerContainer)
        end

        if(key % 2 == 1) then
            leftContainer:AddChild(groupContainer)
        else
            rightContainer:AddChild(groupContainer)
        end
    end
    raidContainer:AddChild(leftContainer)
    raidContainer:AddChild(rightContainer)
    return scrollContainer
end

local function outPutItems(channel)
    local initialOutput = "[Classic Raid Assist ZG] Участники с отсутсвующим или неизвестным статусом для "

    -- local beginningString = "Missing item "
    for k, v in pairs(RaidItemsTab.raidItems[ClassicRaidAssist.db.char.CurrentRaidItemCheck]['alts']) do
        -- beginningString = beginningString .. "'" .. v .. "' or "
        initialOutput = initialOutput .. "'" .. v .. "' or "
    end
    CRA_SendChatMessage(initialOutput:sub(1, -5) .. ":", channel)
    -- beginningString = beginningString:sub(1, -5) .. ":"

    local stringCompose = ""

    for i = 1, MAX_RAID_MEMBERS do
        local tempPlayerName, _, subgroup, _, class, englishClass = GetRaidRosterInfo(i)
        if(tempPlayerName ~= nil and class ~= nil) then
            local currPlayerName, currPlayerRealm = UnitName(tempPlayerName)
            stringToAdd = " " .. currPlayerName .. ","
            if(RaidItemsTab.raidItems[ClassicRaidAssist.db.char.CurrentRaidItemCheck]['hasThisItem'][currPlayerName] == nil or RaidItemsTab.raidItems[ClassicRaidAssist.db.char.CurrentRaidItemCheck]['hasThisItem'][currPlayerName] == false) then
                if ( string.len(stringCompose) + string.len(stringToAdd) ) >= 255 then
                    CRA_SendChatMessage(stringCompose:sub(1, -2), channel)
                    stringCompose = ""
                end
                stringCompose = stringCompose .. stringToAdd
            end
        end
    end
    CRA_SendChatMessage(stringCompose:sub(1, -2), channel)
end

function loadRaidDropdownGroup(dropdownTable, dropdownTableOrder, group)

	orders = {}

	dropdownTable[group] = "|cFFFF5500" .. group
    table.insert(dropdownTableOrder, group)
	for key, value in pairs(RaidItemsTab.raidItems) do
		if (value['group'] == group) then
			dropdownTable[key] = value['dropdownName']
			orders[value['orderkey']] = key 
		end	
    end
	
	for _, value in pairs(orders) do
		table.insert(dropdownTableOrder, value)
	end		
	
end

function getRaidDropdown()

	dropdownTable = {}
	dropdownTableOrder = {}
	
	loadRaidDropdownGroup(dropdownTable, dropdownTableOrder, "Атюны")
	loadRaidDropdownGroup(dropdownTable, dropdownTableOrder, "Рейд")
	loadRaidDropdownGroup(dropdownTable, dropdownTableOrder, "Химия")
	loadRaidDropdownGroup(dropdownTable, dropdownTableOrder, "Прочее")
	loadRaidDropdownGroup(dropdownTable, dropdownTableOrder, "Универсальное")	
	
	return dropdownTable, dropdownTableOrder   
	
end

function RaidItemsTab:DrawRaidItems(container)
    ClassicRaidAssist:ClearCooldowns()

    local itemSpacer = AceGUI:Create("SimpleGroup")
    itemSpacer:SetFullWidth(true)
    itemSpacer:SetLayout("Flow")
    itemSpacer:SetHeight(80)

    local itemLabel = AceGUI:Create("Label")
    itemLabel:SetText("Предмет для поиска: ")
	itemLabel:SetWidth(100)
    itemSpacer:AddChild(itemLabel)
    -- itemSpacer:SetFont(40)
    --itemSpacer:SetWidth(100)
    local itemDropdown = AceGUI:Create("Dropdown")
    itemDropdown:SetWidth(200)
    -- itemDropdown:SetFullWidth(true)
    dropdownTable, dropdownTableOrder = getRaidDropdown() 
    itemDropdown:SetList(dropdownTable, dropdownTableOrder)
    itemDropdown:SetValue(ClassicRaidAssist.db.char.CurrentRaidItemCheck)
	itemDropdown:SetItemDisabled("Атюны", true)
	itemDropdown:SetItemDisabled("Рейд", true)
	itemDropdown:SetItemDisabled("Химия", true)
	itemDropdown:SetItemDisabled("Прочее", true)
	itemDropdown:SetItemDisabled("Универсальное", true)
    itemDropdown:SetCallback("OnValueChanged", function(widget, event, key)
        ClassicRaidAssist.db.char.CurrentRaidItemCheck = key
        ClassicRaidAssistGUI:ReloadTab()
    end)
	
	itemSpacer:AddChild(itemDropdown)
		
	--local currSpell = AceGUI:Create("Icon")
	--currSpell:SetWidth(16)
    --currSpell:SetHeight(16)		
	
	local editbox = AceGUI:Create("EditBox")
	--editbox:SetLabel("Item ID:")
	if (ClassicRaidAssist.db.char.itemIDScan == "") then
		editbox:SetText("ИД")
	else
		editbox:SetText(ClassicRaidAssist.db.char.itemIDScan)
	end
	editbox:SetWidth(100)
	editbox:SetCallback("OnEnterPressed", function(widget, event, text)	
		ClassicRaidAssist.db.char.itemIDScan = text
        --currSpell:SetImage(GetItemIcon(text))
        ---currSpell:SetImageSize("16", "16")
        --currSpell:SetDisabled(true)
        --currSpell.image:SetVertexColor(1, 1, 1, 1)
        --currSpell.image:SetAllPoints()
 	
	end)
			
	itemSpacer:AddChild(editbox)
	--itemSpacer2:AddChild(currSpell)	

	container:AddChild(itemSpacer)	 

    local spacer = AceGUI:Create("SimpleGroup")
    spacer:SetFullWidth(true)
    spacer:SetLayout("Flow")
    spacer:SetHeight(80)
    
    local scanBtn = AceGUI:Create("Button")
    scanBtn:SetText("Поиск")
    scanBtn:SetWidth(200)
    if not (IsInGroup() or IsInRaid()) then
        scanBtn:SetDisabled(true)
        scanBtn:SetText("Нельзя сканировать вне группы")
    end
    scanBtn:SetCallback("OnClick", function()
        -- for key, value in pairs(RaidItemsTab.raidItems) do
        --     value['hasThisItem'] = {}
        -- end

        -- for key, value in pairs(RaidItemsTab.raidItems[ClassicRaidAssist.db.char.CurrentRaidItemCheck]['itemIds']) do
        --     -- print(value)
        --     count  = GetItemCount(value)
        --     local currPlayerName, currPlayerRealm = UnitName("player")
        --     -- print(count)
        --     if (count > 0) then
        --         -- print(count)
        --         RaidItemsTab.raidItems[ClassicRaidAssist.db.char.CurrentRaidItemCheck]['hasThisItem'][currPlayerName] = true
        --         -- print(currPlayerName)
        --         break
        --     else 
        --         RaidItemsTab.raidItems[ClassicRaidAssist.db.char.CurrentRaidItemCheck]['hasThisItem'][currPlayerName] = false
        --     end
        -- end

        RaidItemsTab.raidItems[ClassicRaidAssist.db.char.CurrentRaidItemCheck]['hasThisItem'] = {}
		
		if (ClassicRaidAssist.db.char.CurrentRaidItemCheck == "Scan by ID") 
			or (ClassicRaidAssist.db.char.CurrentRaidItemCheck == "Scan quest ID") 
			or (ClassicRaidAssist.db.char.CurrentRaidItemCheck == "Scan rep ID") then
			ClassicRaidAssist:ScanForItemID(ClassicRaidAssist.db.char.CurrentRaidItemCheck, ClassicRaidAssist.db.char.itemIDScan)
		else
			ClassicRaidAssist:ScanForItem(ClassicRaidAssist.db.char.CurrentRaidItemCheck)
		end
        ClassicRaidAssist.db.char.raidItemsContainer = container
        container:ReleaseChildren()
        RaidItemsTab:DrawRaidItems(container)
    end)
    spacer:AddChild(scanBtn)
    
    local reportBtn = AceGUI:Create("Button")
    reportBtn:SetText("Отчет")
    reportBtn:SetWidth(100)
	
    reportBtn:SetCallback("OnClick", function()
        outPutItems(ClassicRaidAssist.db.char.CurrentRaidItemsOutputChannel)
    end)
    spacer:AddChild(reportBtn)
	
    local reportDropdown = AceGUI:Create("Dropdown")
    reportDropdown:SetWidth(100)
    reportDropdown:SetList(GetChatChannels())
    reportDropdown:SetValue(ClassicRaidAssist.db.char.CurrentRaidItemsOutputChannel)
    reportDropdown:SetCallback("OnValueChanged", function(widget, event, key)
        ClassicRaidAssist.db.char.CurrentRaidItemsOutputChannel = key
    end)
    spacer:AddChild(reportDropdown)

    container:AddChild(spacer)

    container:AddChild(ScanRaidItems())
end